%define	desktop_vendor planetccrma

Summary: Tom's Audio Processing Plugins Reverb Editor
Name: tap-reverbed
Version: r0
Release: 1
License: GPL
Group: Applications/Multimedia
URL: http://tap-plugins.sourceforge.net/
Source0: tap-reverbed-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: pkgconfig gtk2-devel desktop-file-utils
BuildRequires: jack-audio-connection-kit-devel ladspa-devel

%description
TAP Reverb Editor is the standalone JACK counterpart of the LADSPA
plugin TAP Reverberator, which is part of the TAP-plugins LADSPA
plugin set. TAP Reverb Editor is a separate JACK application. It has
its own special user interface that allows for changing any internal
parameter on-the-fly, as well as plotting the impulse response of
Reverb Types as a visual aid.

%prep
%setup -q -n tap-reverbed-%{version}

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} bindir=%{buildroot}%{_bindir} install

# reverbed needs a .reverbed file in each users home directory
%{__mkdir} -p %{buildroot}%{_datadir}/reverbed
%{__install} -m 0644 src/.reverbed %{buildroot}%{_datadir}/reverbed

# rename the executable so we can create a script
%{__mv} %{buildroot}%{_bindir}/reverbed %{buildroot}%{_bindir}/reverbed.bin

# create a script that installs a ~/.reverbed file on the first run
%{__cat} <<EOF >%{buildroot}%{_bindir}/reverbed
#!/bin/bash
# Setup default rc file
if [ ! -e ~/.reverbed ] ; then
	echo "Installing default ~/.reverbed"
	cp %{_datadir}/reverbed/.reverbed ~/.reverbed
fi
exec /usr/bin/reverbed.bin $@
EOF
%{__chmod} 0755 %{buildroot}%{_bindir}/reverbed

# desktop file categories
BASE="X-PlanetCCRMA;Application;AudioVideo;"
XTRA="X-Jack;X-Digital_Processing"

%{__cat} << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Name=TAP Reverb Editor
Comment=JACK based TAP Reverb Editor
Icon=
Type=Application
Exec=%{_bindir}/reverbed
Terminal=false
Categories=${BASE}${XTRA}
Encoding=UTF-8
EOF

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  %{desktop_vendor}-%{name}.desktop

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_datadir}/reverbed
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop

%changelog
* Mon Dec 20 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> r0-1
- spec file cleanup

* Sun Jul  4 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> r0-1
- initial build
- added startup script and menu entry
